package apiact

import "net/url"

// Line -
type Line struct {
	URL         string
	APIVersion  string
	AccessToken string
}

// NewLineApi -
func NewLineApi(apiVersion string) (line *Line, err error) {
	if len(apiVersion) == 0 {
		apiVersion = "v2"
	}
	line = &Line{}
	line.URL = "https://api.line.me"
	line.APIVersion = apiVersion
	return
}

func (p *Line) getAPIURL(urlPath string) (apiURL string, err error) {
	u, err := url.Parse(p.URL)
	if err != nil {
		return "", err
	}
	u, err = u.Parse("/v2")
	if err != nil {
		return "", err
	}
	return
}
